Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class VirtualUntypedCopy.VirtualUntypedCopier

    java.lang.Object
      net.sf.saxon.om.VirtualCopy.VirtualCopier
          net.sf.saxon.om.VirtualUntypedCopy.VirtualUntypedCopier

All Implemented Interfaces:
  AxisIterator, SequenceIterator, UnfailingIterator

Enclosing class:
  VirtualUntypedCopy

    protected class VirtualUntypedCopy.VirtualUntypedCopier

extends VirtualCopy.VirtualCopier

Field Summary

Fields inherited from class net.sf.saxon.om.VirtualCopy.VirtualCopier
`base, subtreeRoot`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`VirtualUntypedCopy.VirtualUntypedCopier(AxisIterator base, VirtualCopy parent, NodeInfo subtreeRoot)`

Method Summary
`protected VirtualCopy` | `createCopy(NodeInfo node, NodeInfo root)` Method to create the virtual copy of a node encountered when navigating.
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence

Methods inherited from class net.sf.saxon.om.VirtualCopy.VirtualCopier
`atomize, close, current, getProperties, getStringValue, iterateAxis, moveNext, next, position`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualUntypedCopy.VirtualUntypedCopier

    public VirtualUntypedCopy.VirtualUntypedCopier(AxisIterator base,
                                                   VirtualCopy parent,
                                                   NodeInfo subtreeRoot)

Method Detail

### createCopy

    protected VirtualCopy createCopy(NodeInfo node,
                                     NodeInfo root)

  Method to create the virtual copy of a node encountered when navigating. This method is separated out so that it can be overridden in a subclass.

  Overrides:
    `createCopy` in class `VirtualCopy.VirtualCopier`
  Parameters:
    `node` - the node to be copied
    `root` - the root of the tree
  Returns:
    the virtual copy

### getAnother

    public SequenceIterator getAnother()

  Get another iterator over the same sequence of items, positioned at the start of the sequence

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Specified by:
    `getAnother` in interface `UnfailingIterator`
  Overrides:
    `getAnother` in class `VirtualCopy.VirtualCopier`
  Returns:
    a new iterator over the same sequence

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.